    import {Explorer} from 'xeokit-viewer/src/explorer/Explorer.js'

public class | source

# Explorer

#### Extends:

Controller → Explorer

Manages the explorer trees.

Located at Toolbar#explorer.

## Member Summary

Public Members
public | classes : Classes |
public | models : Models |
public | objects : Objects |

## Method Summary

Public Methods
public | destroy () |

## Inherited Summary

From class Controller
public | server : * |
public | viewer : * |
public | viewerUI : * |
public | destroy () Destroys this Controller. |
public | error (message: String) Logs an error for this Controller to the JavaScript console. |
public | fire (event: String, value: Object, forget: Boolean) Fires an event on this Controller. |
public | getActive (): boolean Gets whether or not this Controller is active. |
public | getEnabled (): boolean Gets whether or not this Controller is enabled. |
public | hasSubs (event: String): Boolean Returns `true` if there exist any subscribers to the given event on this Controller. |
public | log (message: String) Logs a console debugging message for this Controller. |
public | off (subId: String) Cancels an event subscription that was previously made with Controller#on or Controller#once. |
public | on (event: String, callback: Function, scope: Object): String Subscribes to an event on this Controller. |
public | once (event: String, callback: Function, scope: Object) Subscribes to the next occurrence of the given event, then un-subscribes as soon as the event is handled. |
public | setActive (active: boolean) Activates or deactivates this Controller. |
public | setEnabled (enabled: boolean) Enables or disables this Controller. |
public | warn (message: String) Logs a warning for this Controller to the JavaScript console. |

## Public Members

### public classes: Classes source

### public models: Models source

### public objects: Objects source

## Public Methods

### public destroy() source

Destroys this Controller.

#### Override:

Controller#destroy